Cutlass CUDA Templates for Linear Algebra Subroutines and Solvers

Public Types | Static Public Attributes | List of all members
cutlass::gemm::GemmTileTraitsHelperB< MatrixLayout::kRowMajor, GemmConfig_ > Struct Template Reference

`#include <gemm_traits.h>`

Inheritance diagram for cutlass::gemm::GemmTileTraitsHelperB< MatrixLayout::kRowMajor, GemmConfig_ >:

## Public Types
typedef GemmConfig_::ScalarB | Scalar
| The input scalar. More...
typedef GemmConfig_::MultiplyAdd::ScalarB | MultiplyAddScalar
| The scalar stored in shared memory. More...
typedef GemmGlobalTileTraits< GemmOperand::kB, MatrixLayout::kRowMajor, Scalar const, Shape< 1, GemmConfig_::OutputTile::kD, GemmConfig_::OutputTile::kH >, Shape< 1, ShapeCount< typename GemmConfig_::Warps >::kCount, GemmConfig_::kWarpSize >, GemmConfig_::kScalarsPerLdgB > | GlobalTileTraits
| The traits class to build the iterator to load data from global memory for B^T. More...
typedef GemmSharedStoreTileAbTraits< MultiplyAddScalar, Shape< GemmConfig_::kStages, GemmConfig_::OutputTile::kD/GemmConfig_::InstructionShape::kD, GemmConfig_::OutputTile::kH *GemmConfig_::InstructionShape::kD >, typename GlobalTileTraits::Threads, GemmConfig_::kScalarsPerStsB > | SharedStoreTileTraits
| The traits class to build the iterator to store data to shared memory for B^T. More...
typedef GemmSharedLoadTileBTraits< MultiplyAddScalar const, typename GemmConfig_::OutputTile, typename GemmConfig_::Warps, typename GemmConfig_::MultiplyAdd::ThreadsPerWarp, typename GemmConfig_::InstructionShape, GemmConfig_::kStages, GemmConfig_::kScalarsPerLdsB, 0 > | SharedLoadTileTraits
| The traits class to build the iterator to load from shared memory for B^T. More...

## Static Public Attributes
static MatrixLayout::Kind const | kLayout = MatrixLayout::kRowMajor
| The layout. More...

## Member Typedef Documentation

## ◆ GlobalTileTraits

template<typename GemmConfig_ >

typedef GemmGlobalTileTraits< GemmOperand::kB, MatrixLayout::kRowMajor, Scalar const, Shape<1, GemmConfig_::OutputTile::kD, GemmConfig_::OutputTile::kH>, Shape<1, ShapeCount<typename GemmConfig_::Warps>::kCount, GemmConfig_::kWarpSize>, GemmConfig_::kScalarsPerLdgB> cutlass::gemm::GemmTileTraitsHelperB< MatrixLayout::kRowMajor, GemmConfig_ >::GlobalTileTraits

## ◆ MultiplyAddScalar

template<typename GemmConfig_ >

typedef GemmConfig_::MultiplyAdd::ScalarB cutlass::gemm::GemmTileTraitsHelperB< MatrixLayout::kRowMajor, GemmConfig_ >::MultiplyAddScalar

## ◆ Scalar

template<typename GemmConfig_ >

typedef GemmConfig_::ScalarB cutlass::gemm::GemmTileTraitsHelperB< MatrixLayout::kRowMajor, GemmConfig_ >::Scalar

## ◆ SharedLoadTileTraits

template<typename GemmConfig_ >

typedef GemmSharedLoadTileBTraits< MultiplyAddScalar const, typename GemmConfig_::OutputTile, typename GemmConfig_::Warps, typename GemmConfig_::MultiplyAdd::ThreadsPerWarp, typename GemmConfig_::InstructionShape, GemmConfig_::kStages, GemmConfig_::kScalarsPerLdsB, 0> cutlass::gemm::GemmTileTraitsHelperB< MatrixLayout::kRowMajor, GemmConfig_ >::SharedLoadTileTraits

## ◆ SharedStoreTileTraits

template<typename GemmConfig_ >

typedef GemmSharedStoreTileAbTraits< MultiplyAddScalar, Shape<GemmConfig_::kStages, GemmConfig_::OutputTile::kD / GemmConfig_::InstructionShape::kD, GemmConfig_::OutputTile::kH * GemmConfig_::InstructionShape::kD>, typename GlobalTileTraits::Threads, GemmConfig_::kScalarsPerStsB> cutlass::gemm::GemmTileTraitsHelperB< MatrixLayout::kRowMajor, GemmConfig_ >::SharedStoreTileTraits

## Member Data Documentation

## ◆ kLayout

template<typename GemmConfig_ >

MatrixLayout::Kind const cutlass::gemm::GemmTileTraitsHelperB< MatrixLayout::kRowMajor, GemmConfig_ >::kLayout = MatrixLayout::kRowMajor
| static

The documentation for this struct was generated from the following file:

- gemm_traits.h